# Changelog 'stable'

Hier dokumentieren wir die Änderungen an der offiziellen Firmware von Freifunk Paderborn.

## 0.6.5
* Umstellung auf ffho
	* Pakete, Texte, Banner und Mail-Adresse angepasst
* Zusätzliches IPv6 Präfix für FFRL-Uplink
* ffho-config-mode-mesh-vpn ersetzt gluon-config-mode-mesh-vpn
	* Übertragung der Contact-Info an das Knotenformular möglich
* ffho-config-mode-geo-location erstetzt gluon-config-mode-geo-location
	* Feld für die Höhenangabe entfernt
	* Vorhandene Höhenangaben werden gelöscht
* ffho-alfred-config (neu)
	* Übertragung von site_name
* ffho-config-mode-site-select (neu)
	* Region ist im Config-Mode auswählbar
	* Entsprechend der Region wird die site.conf geändert (site_name und site_code)
* ffho-openwrt-migration-tools (vorher ffpb-openwrt-migration-tools)
	* Aus Zeiten in denen es nur eine Testing-Firmware fuer die TP-Link 1043v2 gab, existierte noch ein script, welches den Autoupdater angepasst hat. Dieses wurde entfernt, da nicht mehr nötig
* Neue Hardware
	* Fujitsu Futro S550

## 0.6.4
* Aenderung der maximal gleichzeitigen fastd-Verbindungen auf 1

## 0.6.3
* Basis [v2015.1.2](https://github.com/freifunk-gluon/gluon/releases/tag/v2015.1.2)
    * Bessere Unterstuetzung der x86-Images
    * Bugfix bei der DNS-Aufloesung in IPv6-Only Netzwerken
    * diverse kleinere Bugfixes
* Knotenformular nun auch bei Englischer Sprache verlinkt.

## 0.6.2
* Basis [v2015.1.1](https://github.com/freifunk-gluon/gluon/releases/tag/v2015.1.1)
    * WLAN-Interfaces per Configmode deaktivierbar
    * Mesh-On-Lan per Configmode aktivierbar
    * Statische IP-Konfiguration möglich
    * Bugfix für VPN-Verbindungen über IPv6
* ffpb-debug: WLAN-Interfacenamen korrigiert, dmesg eingebaut
* ffpb-alfred-watchdog entfernt, hat selten angeschlagen

## 0.6.1
* Filterregeln eingeführt um unsinnigen Netzwerkverkehr zu reduzieren
* Gateway 08 in Konfiguration mit aufgenommen
* Update `ffpb-debug` um Firewallconfiguration erweitert

## 0.6.0
* Wechsel der OpenWRT-Basis auf [v14.07](https://lists.openwrt.org/pipermail/openwrt-devel/2014-October/028346.html) (*Barrier Breaker*)
    * basierend auf Commit [678b8b53a3a79da8f0a7ee5da8f3918cbc00ac78](http://git.openwrt.org/?p=14.07/openwrt.git;a=commit;h=678b8b53a3a79da8f0a7ee5da8f3918cbc00ac78)
    * verbesserte Stabilität und Performance des WLAN-Chipssatz Treibers (*ath9k*)
* Gluon-Update auf [v2014.4](https://github.com/freifunk-gluon/gluon/releases/tag/v2014.4)
    * Update: *fastd* v16 (VPN-Tunnel Software)
        * verbesserte *fastd*-Performance im Zusammenspiel mit *Barrier Breaker*
    * Config-Mode
        * Firmware-Update überarbeitet
        * Beschreibung des Mesh-VPNs im Wizard überarbeitet
        * Erweiterte Konfiguration der WAN-Schnittstelle (Experten-Ansicht)
    * breitere Hardware-Unterstützung (vgl. [Firmware-Downloadseite](firmware.paderborn.freifunk.net))
* Freifunk Paderborn Anpassungen & Erweiterungen:
    * Wechsel von HT40 auf HT20-Modus (20MHz-Kanalbandbreite) im 2.4GHz-Band
    * größere Neighbour-Tables (ARP-/NS-Caches) auf Knoten
    * `mac80211.sh` [Fix](http://git.openwrt.org/?p=openwrt.git;a=commit;h=b728e2bc10f3af7c63078a937a741aea2611bed6) aus OpenWRT Hauptentwicklungslinie (*Chaos Calmer*)

## 0.5.3
* Firmware-Basis weiterhin identisch zu 0.5.1 ([Gluon 2014.3](https://github.com/freifunk-gluon/gluon/releases/tag/v2014.3))
* Feature: VPN-Daten von Gateway 05 zur Einwahl über *fastd* hinzugefügt
* Feature: FFPB-Banner auf SSH-Konsole
* Workaround: Überwachung des A.L.F.R.E.D. v2013.4 Statistik-Dienstes (automatischer Neustart des Dienstes falls Fehlerzustand festgestellt wird)
* Update: `ffpb-debug` um Prozessliste erweitert
* Update: `ffpb-debug-live` neu geschrieben (für Update auf v0.6)
* Vorbereitungen auf neues Firmware Branching System (*stable*, *testing*, *experimental*)
  * Branch *experimental* in `site.conf` ergänzt (wie ehemals *testing*)
* Signing-Key von Barbarossa hinzugefügt
  * Anzahl notwendiger Signaturen für *testing* Branch von 1 auf 2 erhöht
  * Anzahl notwendiger Signaturen für *stable* Branch von 2 auf 3 erhöht

## 0.5.2

* Software identisch zu 0.5.1, basiert auf [Gluon 2014.3](https://github.com/freifunk-gluon/gluon/releases/tag/v2014.3)
* MTU im VPN auf 1406 verkleinert um VPN-Verbindungen über IPv6 besser zu unterstützen
* GW06 hinzugefügt

## 0.5.1

* Gluon (Basisfirmware): Update auf Version [2014.3](https://github.com/freifunk-gluon/gluon/releases/tag/v2014.3)
* Mechanismus im Auto-Updater überarbeitet
    * Update nach Möglichkeit zwischen 4 und 5 Uhr nachts
* Verbesserte WLAN-Stabilität auf allen Knoten
* Kennwort- und SSH-Keys kann im Config-Modus wieder geleert werden
* viele Detail-Verbesserungen, siehe auch [Changelog der testing Firmware](http://firmware.paderborn.freifunk.net/testing/Changelog.html)

## 0.5

* Gluon (Basisfirmware): Update auf Version [2014.2](https://github.com/freifunk-gluon/gluon/releases/tag/v2014.2)
* neues Gateway: gw04
* neuer Firmware-Signing-Key: THiSCO
* neu unterstützte Hardware:
    * D-Link DIR-615 (Rev. e1)
    * Linksys WRT160NL
* Integration von Paket ffpb-wifi-blackout-workaround
    * deaktiviert "ANI" auf den "stable" Knoten (mehr WLAN Stabilität)
* ffpb-debug-live Skript hinzugefügt (für live-debugging interessanter Knoten)
* einige Aufräum- und Anpassungs-Arbeiten in ffpb-debug und anderen Skripten
