# Changelog 'stable'

Hier dokumentieren wir die Änderungen an der offiziellen Firmware von Freifunk Hochstift.

## 0.7.3

* Basis: gluon [v2016.1.5](https://github.com/freifunk-gluon/gluon/releases/tag/v2016.1.5)
    * Mit Patch zum deaktivieren des 802.11b Supportes
* ath9k-blackout-workaround: NEW
    * Startet das WLAN neu, wenn ein möglicher Fehler entdeckt wurde
* ffho-site-auto-select:
    * Community spezifische Werte in site.conf verschoben
* ffho-status-page:
    * nicht öffentliche Koordinaten verbergen
    * Community spezifische Werte in site.conf verschoben

## 0.7.2

* Basis: gluon [v2016.1.5](https://github.com/freifunk-gluon/gluon/releases/tag/v2016.1.5)
    * Entfernt Whitspaces bei vorhandenen Koordinaten
    * UCI-Configuration erst am Ende abspeichern
* ffho-autoupdater:
    * UCI-Configuration erst am Ende abspeichern
* ffho-autoupdater-wifi-fallback:
    * Komplett überarbeitet
    * UCI-Configuration erst am Ende abspeichern
* ffho-autoupdater-wifi-fallback-legacy: NEW
    * Anpassen der Konfiguration an die neue Version des ffho-autoupdater-wifi-fallback
* ffho-luci-autoupdater-wifi-fallback: NEW
    * ffho-autoupdater-wifi-fallback kann nun im Expert-Mode deaktiviert werden
* ffho-site-auto-select:
    * UCI-Configuration erst am Ende abspeichern
* ffho-txpower-fix:
    * UCI-Configuration erst am Ende abspeichern
* site.conf:
    * fastd
        * gw06 entfernt
        * ffho_gw01 hinzugefügt
* Hardware:
    * 8devices
        * Carambola 2
    * OpenMesh
        * MR600 (v1, v2)
        * MR900 (v1, v2)
        * OM2P (v1, v2)
        * OM2P-HS (v1, v2)
        * OM2P-LC
        * OM5P
        * OM5P-AN
    * Ubiquiti
        * Rocket M XW
    * TP-Link
        * TL-WR841ND v11

## 0.7.1

* Basis gluon [d610ba3 (v2016.1.x)](https://github.com/freifunk-gluon/gluon/tree/d610ba31ff004817c119f525e583b703743c1357)
    * neue Kernel-Version
* Erkennung der Ubiquiti-Geräte
* ffho-ebtables-net-rules:
    * code improvements
* ffho-config-mode-geo-location:
    * Höhenangabe anzeigen, wenn sie bereits vorhanden ist
* i18n:
    * Reboot Nachricht enthält jetzt die gleichen Daten wie das Knotenformular
* Hardware:
    * ALFA Network
        * AP121
        * AP121U
        * Hornet-UB
    * Cisco Meraki
        * MR12
        * MR16
        * MR62
        * MR66
    * TP-Link
        * TL-WA7510N
    * Target x86-generic
        * kmod-usb-ohci-pci für Tastatur am Futro hinzugefügt

## 0.7.0

nicht kompatibel zu Firmware < 0.6.0

* Basis gluon [v2016.1.2](https://github.com/freifunk-gluon/gluon/releases/tag/v2016.1.2)
    * Update der OpenWRT-Basis auf Chaos Calmer
    * neue Kernel-Version 3.18.24
    * some Bugfixes
    * gluon-respondd ersetzt gluon-announced und gluon-announce
* ffho-autoupdater: REPLACES gluon-autoupdater
    * kann nun Muster in der URL ersetzen
* ffho-autoupdater-wifi-fallback: NEW
    * prüft regelmäßig die Verbindung zum Firmware-Server
    * wenn keine Verbindung: Updates als Client beziehen
* ffho-config-mode-geo-location:
    * improve validation
    * kein weiteres Löschen vorhandener Höhenangaben
* ffho-config-mode-mesh-vpn:
    * improve validation
* ffho-config-mode-site-select:
    * erzeugen der Site nach ffho-site-generate ausgelager
* ffho-debug:
    * keine privaten Keys übermitteln
    * Wifi-Namen angepasst
* ffho-openwrt-migration-tools: REMOVED
* ffho-respondd-config: REPLACES ffho-alfred-config
    * für respondd in C implementiert
* ffho-site-auto-select: NEW
    * Site an Hand der Koordinaten wählen
    * abfragen der Mesh-Partner wenn keine Site gesetzt
* ffho-site-generate: NEW
    * generieren der site.json zur Laufzeit
* ffho-status-page: REPLACES gluon-status-page
    * beibehalten des alten Designs
    * FFHO und Site  spezifische Informationen ergänzt
* ffho-txpower-fix: NEW
    * Workarround für zugeringe Sendeleistung
* site.conf:
    * neues Format
    * IPv6 fähiges OpenWRT-Repo
    * eigenes Kernel-Module opkg repository
    * RIP gw03
    * individueller Autoupdater-Pfad für jede Region
    * Signing-Keys
        * neu: kb-light
        * entfernt: thardes2
* neue Hardware:
    * Buffalo
        * WZR-HP-G300NH
    * D-Link
        * DIR-505 (A1)
    * Onion
        * Omega
    * TP-Link
        * CPE210/220/510/520 v1.1
        * TL-MR13U v1
        * TL-WA901N/ND v1
        * TL-WR710N v2
        * TL-WR801N/ND v1, v2
        * TL-WR841N/ND v10
        * TL-WR843N/ND v1
        * TL-WR940N v1, v2, v3
        * TL-WR941ND v6
        * TL-WR1043N/ND v3
    * Ubiquiti
        * einspielen in AirOS 5.6.x möglich
        * airGateway
        * airRouter
        * UniFi AP Outdoor+
    * Western Digital
        * My Net N600
        * My Net N750
    * neues Target x86-xen_domu
    * neues Target x86-64
        * unterstützt für USB-NICs hinzugefügt
        * kmod-igb für APU2 hinzugefügt
    * Target x86-generic
        * kmod-usb-net-dm9601-ether hinzugefügt

## 0.6.5
* Umstellung auf ffho
	* Pakete, Texte, Banner und Mail-Adresse angepasst
* Zusätzliches IPv6 Präfix für FFRL-Uplink
* ffho-config-mode-mesh-vpn: REPLACES gluon-config-mode-mesh-vpn
	* Übertragung der Contact-Info an das Knotenformular möglich
* ffho-config-mode-geo-location: REPLACES gluon-config-mode-geo-location
	* Feld für die Höhenangabe entfernt
	* Vorhandene Höhenangaben werden gelöscht
* ffho-alfred-config: NEW
	* Übertragung von site_name
* ffho-config-mode-site-select: NEW
	* Region ist im Config-Mode auswählbar
	* Entsprechend der Region wird die site.conf geändert (site_name und site_code)
* ffho-openwrt-migration-tools: (vorher ffpb-openwrt-migration-tools)
	* Aus Zeiten in denen es nur eine Testing-Firmware fuer die TP-Link 1043v2 gab, existierte noch ein script, welches den Autoupdater angepasst hat. Dieses wurde entfernt, da nicht mehr nötig
* Neue Hardware
	* Fujitsu Futro S550

## 0.6.4
* Aenderung der maximal gleichzeitigen fastd-Verbindungen auf 1

## 0.6.3
* Basis [v2015.1.2](https://github.com/freifunk-gluon/gluon/releases/tag/v2015.1.2)
    * Bessere Unterstuetzung der x86-Images
    * Bugfix bei der DNS-Aufloesung in IPv6-Only Netzwerken
    * diverse kleinere Bugfixes
* Knotenformular nun auch bei Englischer Sprache verlinkt.

## 0.6.2
* Basis [v2015.1.1](https://github.com/freifunk-gluon/gluon/releases/tag/v2015.1.1)
    * WLAN-Interfaces per Configmode deaktivierbar
    * Mesh-On-Lan per Configmode aktivierbar
    * Statische IP-Konfiguration möglich
    * Bugfix für VPN-Verbindungen über IPv6
* ffpb-debug: WLAN-Interfacenamen korrigiert, dmesg eingebaut
* ffpb-alfred-watchdog entfernt, hat selten angeschlagen

## 0.6.1
* Filterregeln eingeführt um unsinnigen Netzwerkverkehr zu reduzieren
* Gateway 08 in Konfiguration mit aufgenommen
* Update `ffpb-debug` um Firewallconfiguration erweitert

## 0.6.0
* Wechsel der OpenWRT-Basis auf [v14.07](https://lists.openwrt.org/pipermail/openwrt-devel/2014-October/028346.html) (*Barrier Breaker*)
    * basierend auf Commit [678b8b53a3a79da8f0a7ee5da8f3918cbc00ac78](http://git.openwrt.org/?p=14.07/openwrt.git;a=commit;h=678b8b53a3a79da8f0a7ee5da8f3918cbc00ac78)
    * verbesserte Stabilität und Performance des WLAN-Chipssatz Treibers (*ath9k*)
* Gluon-Update auf [v2014.4](https://github.com/freifunk-gluon/gluon/releases/tag/v2014.4)
    * Update: *fastd* v16 (VPN-Tunnel Software)
        * verbesserte *fastd*-Performance im Zusammenspiel mit *Barrier Breaker*
    * Config-Mode
        * Firmware-Update überarbeitet
        * Beschreibung des Mesh-VPNs im Wizard überarbeitet
        * Erweiterte Konfiguration der WAN-Schnittstelle (Experten-Ansicht)
    * breitere Hardware-Unterstützung (vgl. [Firmware-Downloadseite](firmware.paderborn.freifunk.net))
* Freifunk Paderborn Anpassungen & Erweiterungen:
    * Wechsel von HT40 auf HT20-Modus (20MHz-Kanalbandbreite) im 2.4GHz-Band
    * größere Neighbour-Tables (ARP-/NS-Caches) auf Knoten
    * `mac80211.sh` [Fix](http://git.openwrt.org/?p=openwrt.git;a=commit;h=b728e2bc10f3af7c63078a937a741aea2611bed6) aus OpenWRT Hauptentwicklungslinie (*Chaos Calmer*)

## 0.5.3
* Firmware-Basis weiterhin identisch zu 0.5.1 ([Gluon 2014.3](https://github.com/freifunk-gluon/gluon/releases/tag/v2014.3))
* Feature: VPN-Daten von Gateway 05 zur Einwahl über *fastd* hinzugefügt
* Feature: FFPB-Banner auf SSH-Konsole
* Workaround: Überwachung des A.L.F.R.E.D. v2013.4 Statistik-Dienstes (automatischer Neustart des Dienstes falls Fehlerzustand festgestellt wird)
* Update: `ffpb-debug` um Prozessliste erweitert
* Update: `ffpb-debug-live` neu geschrieben (für Update auf v0.6)
* Vorbereitungen auf neues Firmware Branching System (*stable*, *testing*, *experimental*)
  * Branch *experimental* in `site.conf` ergänzt (wie ehemals *testing*)
* Signing-Key von Barbarossa hinzugefügt
  * Anzahl notwendiger Signaturen für *testing* Branch von 1 auf 2 erhöht
  * Anzahl notwendiger Signaturen für *stable* Branch von 2 auf 3 erhöht

## 0.5.2

* Software identisch zu 0.5.1, basiert auf [Gluon 2014.3](https://github.com/freifunk-gluon/gluon/releases/tag/v2014.3)
* MTU im VPN auf 1406 verkleinert um VPN-Verbindungen über IPv6 besser zu unterstützen
* GW06 hinzugefügt

## 0.5.1

* Gluon (Basisfirmware): Update auf Version [2014.3](https://github.com/freifunk-gluon/gluon/releases/tag/v2014.3)
* Mechanismus im Auto-Updater überarbeitet
    * Update nach Möglichkeit zwischen 4 und 5 Uhr nachts
* Verbesserte WLAN-Stabilität auf allen Knoten
* Kennwort- und SSH-Keys kann im Config-Modus wieder geleert werden
* viele Detail-Verbesserungen, siehe auch [Changelog der testing Firmware](http://firmware.paderborn.freifunk.net/testing/Changelog.html)

## 0.5

* Gluon (Basisfirmware): Update auf Version [2014.2](https://github.com/freifunk-gluon/gluon/releases/tag/v2014.2)
* neues Gateway: gw04
* neuer Firmware-Signing-Key: THiSCO
* neu unterstützte Hardware:
    * D-Link DIR-615 (Rev. e1)
    * Linksys WRT160NL
* Integration von Paket ffpb-wifi-blackout-workaround
    * deaktiviert "ANI" auf den "stable" Knoten (mehr WLAN Stabilität)
* ffpb-debug-live Skript hinzugefügt (für live-debugging interessanter Knoten)
* einige Aufräum- und Anpassungs-Arbeiten in ffpb-debug und anderen Skripten
